Page MenuHomePhabricator

Content translation fails in gerrit because of missing message vector-action-move
Closed, ResolvedPublic

Description

Started seeing this meesage in CI and causing CX patches failing in gerrit(example: https://integration.wikimedia.org/ci/job/mwext-testextension-php55/19466/console)

ResourcesTest::testMissingMessages
04:38:33 Message 'vector-action-move' required by 'ext.guidedTour.tour.cxpublish' must exist
04:38:33 Failed asserting that false is true.

May be related to the skin refactoring happened recently.

The following message from CX refers vector-action-move:

i18n/en.json
40:     "cx-publish-gt-first-step-description": "Click on the \"{{int:vector-action-move}}\" action under this menu to make the content available to all users as a regular page.",

The message is present in vector skin, but apparently the skin is not registered/loaded with the core while doing CI

Event Timeline

santhosh created this task.Aug 18 2016, 4:45 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 18 2016, 4:45 AM
santhosh updated the task description. (Show Details)Aug 18 2016, 5:06 AM

Refering a skin's message looks odd here, I think we should just use {{int:move}} from core messages

Change 305444 had a related patch set uploaded (by Santhosh):
Copy from DOM instead of using vector-view-edit and vector-action-move

https://gerrit.wikimedia.org/r/305444

Change 305444 had a related patch set uploaded (by Santhosh):
Copy from DOM instead of using vector-view-edit and vector-action-move
https://gerrit.wikimedia.org/r/305444

May wanna use the approach of T143297 instead. Which is about the same message it seems.

Mattflaschen-WMF renamed this task from Content translation fails in gerrit because of missing message vector-action-mov to Content translation fails in gerrit because of missing message vector-action-move.Aug 19 2016, 10:34 PM

May wanna use the approach of T143297 instead. Which is about the same message it seems.

That particular task is about VE messages in GuidedTour (same issue for GettingStarted).

Change 305444 merged by jenkins-bot:
Copy from DOM instead of using vector-view-edit and vector-action-move

https://gerrit.wikimedia.org/r/305444

Amire80 closed this task as Resolved.Sep 13 2016, 12:16 PM